Subject: Re: Running Win10 after end of life

From: Keith Smith via PLUG-discuss <[email-masked]>
Date: Mon, 05 May 2025 07:11:25 -0700

I think I have had one hardware failure.  It was around 1998 when I lost 
a work hard drive.

I have no proof, as to why I have not had any hardware failures, however 
I suspect it has to do with the Tripp-lite surge suppressor I have been 
using for 30+ years.

About 20 years ago the transformer that was on a pole adjacent to my 
house blew up. I thought for sure my computer was toast.  Not so.  My 
computer survived.  I believe it was the Tripp-lite surge suppressor.

- Keith

On 2025-05-04 20:44, David Schwartz via PLUG-discuss wrote:
> Virtually all of my Windows machines have had failures between 24 and
> 36 months. I don’t like having to waste my time and money on crappy
> equipment.
> 
> I value my time having to deal with crappy equipment and software
> failures as far more valuable than the cost difference between windows
> hardware and Apple’s hardware. Apparently there are people who
> don’t value their time as much. I don’t see it as anything to brag
> about.
> 
> Between 2015 and 2022, my work laptops had to be replaced due to
> hardware failures four (4) times. Most of them were from Dell. My
> managers weren't happy that I had to sit on my thumbs for several
> hours, and three days in one case, but there was nothing else to be
> done. One project was sidelined for a week because there was a problem
> on a Dell server and it took a week to get fixed.
> 
> I still have an old dell laptop I got in 2003 that required a repair,
> thankfully while it was still in warranty. I have an Acer Aspire from
> 2019 that I let sit on a shelf too long, and now the CMOS battery as
> well as the main battery are both dead. My MBP was long
> out-of-warranty when I got this Acer, and it still works fine, in
> spite of the battery bloating up.
> 
> You can pay for insurance, pay out of your own pocket and time for
> repairs, or you can just pay for better quality stuff.
> 
> I prever the latter because it has been a lot cheaper in the long-run
> for me.
> 
> My Mac Minis have been running 24/7 since I got them. The only
> problems I’ve had is they collect dust and I have to open them up
> and take them apart to get all of the dust out.
> 
> As far as being in a “jail” … I haven’t run into any issues
> for the things I want to do, so I can’t really say. I hate doing
> Admin stuff. There are  some things I’ve messed up because I did
> something wrong that was not undoable, but they’re not fatal issues.
> 
> My Macs are like the Energizer Bunny … they just keep going and
> going and going.
> 
> I used to love hacking on hardware and playing with beta code, but
> that got old around 2002. I tolerate it with employers and clients
> because they’re paying me either way. But for my own stuff, I prefer
> things that just keep on running.
> 
>  -David Schwartz
> 
>> On May 4, 2025, at 10:48 AM, Matthew Gibson via PLUG-discuss
>> <[email-masked]> wrote:
>> 
>> Because apple is a more snobby club than microsoft. And since I can
>> install linux on just about anything I can purchase for a tenth of
>> what I would pay for an apple device. Why spend more money?
>> 
>> There's also the perceived notion that you the user are not trusted
>> to own your device and understand the nuts and bolts of it as an
>> admin. Or has that gotten better in recent years? Can you make
>> whatever changes you want or are you still in a jail?
>> 
>> On Sun, May 4, 2025, 1:08 AM David Schwartz via PLUG-discuss
>> <[email-masked]> wrote:
>> 
>>> Would someone kindly tell me what’s so special about their
>>> favorite version of Linux is versus MacOS, which is a BSD Unix
>>> derivative?
>>> 
>>> I’ve think I’ve mentioned my harem of Macs:
>>> 
>>> * 2014 Mac Mini
>>> * 2014 MacBook Pro
>>> * 2018 Mac Mini
>>> * 2024 Mac Mini
>>> 
>>> They’re all still working just fine, except the MBP’s battery
>>> is bloating up for the 2nd time. (I hardly use it and if you keep
>>> it plugged-in, the battery bloats up.)
>>> 
>>> I get newer ones because they get faster, handle more RAM and SSD,
>>> and the OS can’t be upgraded past a certain point. Which is why
>>> I keep the older ones around. (The older ones let you upgrade RAM
>>> and some the SSD. With the newer ones, you’re stuck with what it
>>> comes with.)
>>> 
>>> One of them (2018) has a VirtualBox VM on that runs Win10 that I
>>> do all of my Windows-dependent stuff on. I don’t see why I’d
>>> need to upgrade it to Win11, and nobody here has given me anything
>>> worth considering.
>>> 
>>> BTW, I have an older Acer box (maybe from 2000) that’s a bit
>>> smaller than an old Mac Mini that runs Win XP; if anybody wants it
>>> to run Linux on for some reason, let me know.
>>> 
>>> My point is, the hardware gets old, sometimes degrades (ie, the
>>> battery on the MBP), the latest OS and apps can no longer be
>>> upgraded, but it still works fine if you want to keep using it.
>>> I’m not sure why my older Mac Minis still keep running but
>>> everybody thinks my Win10 machines are going to turn into nuclear
>>> bombs in a few months just because MS stops updating them. Cripes,
>>> do you know how hard it is to keep Windows from constatly updating
>>> itself anyway? MacOS keeps asking even though it’s says it
>>> can’t if I say OK!
>>> 
>>> I have apps on both my 2014 and 2018 Mac Minis that will stop
>>> working if I upgrade the OS, so I refuse.
>>> 
>>> And now it seems you can’t run VMs on M-series CPUs that contain
>>> any version of Windows unless you use one specific version of
>>> Parallels with an ARM-based version of Windows, and it reportedly
>>> runs slower than crap.
>>> 
>>> Just for fun, I went from 36GB of RAM to 64GB in my 2018 model and
>>> where before the fan would constantly be running, now it never
>>> comes on.
>>> 
>>> Macs run Unix. It’s not like I’m a crazy-ass Mac fan — I
>>> just find them to be WAY more stable than Windows machines.
>>> 
>>> When I need to get down to the command-line, the *nix shell is FAR
>>> more powerful than the DOS Command line. But I rarely ever need to
>>> do that on ANY of them lately. I think the only reasons I’ve run
>>> the Mac’s Terminal is to use the shell to find some specific
>>> files because find piped into grep works a whole lot better than
>>> the search bar in the Finder.
>>> 
>>> So while I understand (and share) the “anti-Windows”
>>> sentiments here, I don’t get the “pro-Linux” but
>>> “anti-Mac” attitude because Macs are all Unix machines at
>>> their core.
>>> 
>>> I’ve tossed out maybe a dozen DOS and Windows machines in my
>>> life. My first Mac (a first gen Intel iMac) died and I actually
>>> sold it on eBay for almost $500! I’ve bought and sold some other
>>> Macs and never had to toss a single one into the trash. I’m not
>>> eager to replace the battery on my MBP again, but it will still be
>>> way cheaper than a new MBP.
>>> 
>>> -David Schwartz
>>> 
>>>> On May 3, 2025, at 4:10 PM, Keith Smith via PLUG-discuss
>>> <[email-masked]> wrote:
>>>> 
>>>> Thanks Rusty!!  I agree!!
>>>> 
>>> 
>>> ---------------------------------------------------
>>> PLUG-discuss mailing list: [email-masked]
>>> To subscribe, unsubscribe, or to change your mail settings:
>>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>> ---------------------------------------------------
>> PLUG-discuss mailing list: [email-masked]
>> To subscribe, unsubscribe, or to change your mail settings:
>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss